Bug 731907 - package in EPEL has bogus version
Summary: package in EPEL has bogus version
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora EPEL
Classification: Fedora
Component: perl-Spreadsheet-ParseExcel
Version: el6
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Paul Howarth
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On: 732484
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-08-19 01:55 UTC by Jack Tanner
Modified: 2011-09-09 07:53 UTC (History)
5 users (show)

Fixed In Version: perl-Spreadsheet-ParseExcel-0.5900-1.el6
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2011-09-09 07:53:31 UTC


Attachments (Terms of Use)

Description Jack Tanner 2011-08-19 01:55:40 UTC
Description of problem:

EPEL (and Fedora) have this package:

perl-Spreadsheet-ParseExcel-0.4900-3.el6

The version number here is bogus - it should be 0.49, not 0.4900. This bogus number is thus greater than the actual latest released code, 0.59, and a RPM containing more recent code (e.g., from RPMforge) requires a "yum downgrade" for what is actually an upgrade.

While fixing, please consider updating to 0.59.

Comment 1 Paul Howarth 2011-08-19 08:32:12 UTC
The version number is like it is to maintain the upgrade path from previous versions with 4-digit version numbers such as 0.2603 that upstream has released in the past. Reverting to upstream's current 2-digit format would require an epoch bump, which would still make the EPEL package rpm-newer than packages containing more recent code from elsewhere, unless they too did the same epoch bump. It is unfortunate that perl's and rpm's ideas of version numbering don't line up with each other; that's the underlying cause of the problem.

Comment 2 Jack Tanner 2011-08-19 20:03:05 UTC
Updating to the latest upstream code in EPEL would make third-party packages unnecessary. If RPMforge ever needs to replace the EPEL package, it can introduce an epoch then. The version now in EPEL is buggy, so it either needs to be updated or removed altogether.

Comment 3 Paul Howarth 2011-08-19 20:35:35 UTC
Hmm, even the version in Rawhide is well out of date.

Steve, is there some reason you're holding back from updating this, or are you just too busy at the moment? I could push updates for you if that's the case.

Comment 4 Petr Šabata 2011-08-22 08:18:48 UTC
(In reply to comment #3)
> Hmm, even the version in Rawhide is well out of date.
> 
> Steve, is there some reason you're holding back from updating this, or are you
> just too busy at the moment? I could push updates for you if that's the case.

Steve's been quite busy in past months, I think you could do that :)

Comment 5 Paul Howarth 2011-08-22 15:56:29 UTC
I've prepared updates locally now, and unfortunately a new module, Digest::Perl::MD5, is required as part of the encrypted file support. In theory this should be interchangeable with the faster Digest::MD5 module but unfortunately Spreadsheet::ParseExcel accesses a private data structure within the pure-perl version rather than using the proper API, which makes it incompatible with Digest::MD5.

Review request for perl-Digest-Perl-MD5 is at Bug #732484.

Comment 6 Petr Šabata 2011-08-22 17:05:16 UTC
(In reply to comment #5)
> (...)
> Review request for perl-Digest-Perl-MD5 is at Bug #732484.

I'll take that...

Comment 7 Fedora Update System 2011-08-23 19:33:40 UTC
perl-Spreadsheet-ParseExcel-0.5900-1.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/perl-Spreadsheet-ParseExcel-0.5900-1.fc16

Comment 8 Fedora Update System 2011-08-23 19:33:51 UTC
perl-Spreadsheet-ParseExcel-0.5900-1.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/perl-Spreadsheet-ParseExcel-0.5900-1.el6

Comment 9 Fedora Update System 2011-09-07 03:27:56 UTC
perl-Spreadsheet-ParseExcel-0.5900-1.fc16 has been pushed to the Fedora 16 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 10 Fedora Update System 2011-09-08 23:59:22 UTC
perl-Spreadsheet-ParseExcel-0.5900-1.el6 has been pushed to the Fedora EPEL 6 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.